;;-----------------------------LICENSE NOTICE------------------------------------
;;  This file is part of Dragon Attack - An entry for CPCRetroDev2016
;;  Copyright (C) 2016  Paul Kooistra
;;
;;  This program is free software: you can redistribute it and/or modify
;;  it under the terms of the GNU General Public License as published by
;;  the Free Software Foundation, either version 3 of the License, or
;;  (at your option) any later version.
;;
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU General Public License for more details.
;;
;;  You should have received a copy of the GNU General Public License
;;  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;  For questions about the source you can PM me, Axelay, on the CPCWiki forums
;;-------------------------------------------------------------------------------
; scoreline characters stored as compiled sprites for update speed, this file contains 6-9 and blank
.FastFont6
    ld a,102
    ld c,204
    ex de,hl
    ld (hl),51
    inc l
    ld (hl),c
    set 3,h
    ld (hl),a
    dec l
    ld (hl),a
    set 4,h
    ld (hl),119
    inc l
    ld (hl),c
    res 3,h
    ld (hl),0
    dec l
    ld (hl),a
    set 5,h
    ld (hl),51
    inc l
    ld (hl),c
    set 3,h
    res 4,h
    ld (hl),a
    dec l
    ld (hl),a
    res 3,h
    ld (hl),a
    inc l
    ld (hl),a
    ex de,hl
; set de for next char to print
    res 5,d
    inc e
    ret
.FastFont7
    ld a,17
    ld c,102
    ex de,hl
    ld (hl),119
    inc l
    ld (hl),238
    set 3,h
    ld (hl),c
    dec l
    ld (hl),c
    set 4,h
    ld (hl),0
    inc l
    ld (hl),204
    res 3,h
    ld (hl),c
    dec l
    ld (hl),0
    set 5,h
    ld (hl),a
    inc l
    ld (hl),136
    set 3,h
    res 4,h
    ld (hl),136
    dec l
    ld (hl),a
    res 3,h
    ld (hl),a
    inc l
    ld (hl),136
    ex de,hl
; set de for next char to print
    res 5,d
    inc e
    ret
.FastFont8
    ld a,102
    ld c,51
    ex de,hl
    ld (hl),c
    inc l
    ld (hl),204
    set 3,h
    ld (hl),a
    dec l
    ld (hl),a
    set 4,h
    ld (hl),c
    inc l
    ld (hl),204
    res 3,h
    ld (hl),a
    dec l
    ld (hl),a
    set 5,h
    ld (hl),c
    inc l
    ld (hl),204
    set 3,h
    res 4,h
    ld (hl),a
    dec l
    ld (hl),a
    res 3,h
    ld (hl),a
    inc l
    ld (hl),a
    jr FastFont9_CommonExit
;    ex de,hl
;; set de for next char to print
;    res 5,d
;    inc e
;    ret
.FastFont9
    ld a,102
    ld c,51
    ex de,hl
    ld (hl),c
    inc l
    ld (hl),204
    set 3,h
    ld (hl),a
    dec l
    ld (hl),a
    set 4,h
    ld (hl),c
    inc l
    ld (hl),238
    res 3,h
    ld (hl),a
    dec l
    ld (hl),a
    set 5,h
    ld (hl),c
    inc l
    ld (hl),204
    set 3,h
    res 4,h
    ld (hl),a
    dec l
    ld (hl),a
    res 3,h
    ld (hl),0
    inc l
    ld (hl),a
.FastFont9_CommonExit ; just to reduce space where these compiled characters are kept
    ex de,hl
; set de for next char to print
    res 5,d
    inc e
    ret
.FastFont10
    xor a
    ex de,hl
    ld (hl),a
    inc l
    ld (hl),a
    set 3,h
    ld (hl),a
    dec l
    ld (hl),a
    set 4,h
    ld (hl),a
    inc l
    ld (hl),a
    res 3,h
    ld (hl),a
    dec l
    ld (hl),a
    set 5,h
    ld (hl),a
    inc l
    ld (hl),a
    set 3,h
    res 4,h
    ld (hl),a
    dec l
    ld (hl),a
    res 3,h
    ld (hl),a
    inc l
    ld (hl),a
    jr FastFont9_CommonExit
